import CoUxLayoutFooterActionBar from '../../../../components/10x/ux/ux-layout-footer-action-bar.js'
import EuiBasePage from '../eui-base.po.js'

export default class LayoutFooterActionBar extends EuiBasePage {

  constructor() {
      super();
  }

  actionBarByIndex(index) {
    let actionBar1 =  new CoUxLayoutFooterActionBar(this.mainContent);
    return actionBar1.byIndex(index);
  }

  actionBarFromSectionById(id) {
    return new CoUxLayoutFooterActionBar(this.sectionById(id));
  }

  actionBarFromSectionWithIdByIndex(id, index) {
    let actionBar1 = new CoUxLayoutFooterActionBar(this.sectionById(id));
    return actionBar1.byIndex(index);
  }

}


